Bug 247238 - java/openjdk11: Add fontconfig support
Summary: java/openjdk11: Add fontconfig support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-java (Nobody)
URL:
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2020-06-13 17:16 UTC by Dmitri Goutnik
Modified: 2020-07-10 22:03 UTC (History)
2 users (show)

See Also:
glewis: maintainer-feedback+


Attachments
patch file (9.75 KB, patch)
2020-06-13 17:16 UTC, Dmitri Goutnik
dmgk: maintainer-approval? (java)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2020-06-13 17:16:02 UTC
Created attachment 215521 [details]
patch file

Attached patch is a port of bug #215636 to OpenJDK11. This brings font rendering in Java apps on par with OpenJDK8 with FONTCONFIG knob ON and linux.

poudriere builds OK on 121a, 113i; "works for me" with various JetBrains IDEs on 12.1-STABLE amd64.
Comment 1 Automation User 2020-06-28 00:35:06 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/160797165
Comment 2 Greg Lewis freebsd_committer 2020-07-01 05:50:54 UTC
Looks ok to commit to me.  Have you tried it on the newer ports?
Comment 3 Dmitri Goutnik freebsd_committer 2020-07-01 14:21:23 UTC
(In reply to Greg Lewis from comment #2)
Builds and works fine for me with java/openjdk11 11.0.7+10.2
Comment 4 Greg Lewis freebsd_committer 2020-07-02 02:30:19 UTC
By newer ports, I meant have you tried it with openjdk12, 13 and 14?

Anyway, feel free to commit this.
Comment 5 commit-hook freebsd_committer 2020-07-02 23:31:50 UTC
A commit references this bug:

Author: dmgk
Date: Thu Jul  2 23:31:39 UTC 2020
New revision: 541062
URL: https://svnweb.freebsd.org/changeset/ports/541062

Log:
  java/openjdk11: Add fontconfig support

  PR:		247238
  Approved by:	java (glewis)

Changes:
  head/java/openjdk11/Makefile
  head/java/openjdk11/files/patch-make_lib_Awt2dLibraries.gmk
  head/java/openjdk11/files/patch-src_java.desktop_share_native_libfontmanager_freetypeScaler.c
Comment 6 Dmitri Goutnik freebsd_committer 2020-07-02 23:33:44 UTC
Thanks for the approval, committed. I'll look into porting this to non-EOL JDK (java/openjdk14) over the weekend.